Debian Bug report logs - #327623
RM: nsmon -- RoQA; orphaned, no upstream, better alternatives

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>

Date: Sun, 11 Sep 2005 13:18:06 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tibor Koleszar <oldw@debian.org>:
Bug#327623; Package nsmon. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
New Bug report received and forwarded. Copy sent to Tibor Koleszar <oldw@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: submit@bugs.debian.org
Subject: very old package with RC bugs, should this be orphaned?
Date: Sun, 11 Sep 2005 15:10:01 +0200
Package: nsmon
Version: 2.3e-4
Severity: serious

Hi.

During the Debian QA meeting hold during Sept. 09th till 11th, we begun
to go through the list of the oldest packages in Debian that are not in
testing (http://bjorn.haxx.se/debian/oldest.html) to search for packages
that should be either orphaned or removed completly from Debian
(unstable and testing) since they have been obviously neglected by their
maintainer.

Your package did show up on this list and we propose to orphan it.

This usually means that your package matched some of the following
criteria:

    *
      [1] Your packages has not had an upload for more than two years

      [2] has one or more RC bugs with no answer from the maintainer (**)

      [3] the state of your packages in general seems to indicate that
          you might be MIA 

      [4] (if we propose a removal) it shows in popcon as having less
          than 100 users with the package installed.

      [5] the package was not released with sarge

and at least ([1] and ( [2] or [3] or [4] or [5] )) was true.

(**) The maintainer not answering to RC bugs refers to bugs filed more
than one month before the time the check was performed.

After 7 days without answer from you (the maintainer) we will reassign
this bug to either WNPP (in case we propose to orphan it) or
ftp.debian.org (in case we propose to remove it).

The package will need an upload or an explanation for this action not to
proceed.

Please do *not* upload a package just to get off this list - it won't
help the package at all. Maintainers should be responsive and feel
responsible for their packages without needing other people to force
them to do work. Sometimes, finding a new maintainer or even removing
the package completly from the archive is better for Debian's users. 

Thanks! 
Marc
-- 
BOFH #52:
Smell from unhygenic janitorial staff wrecked the tape heads




Information forwarded to debian-bugs-dist@lists.debian.org, Tibor Koleszar <oldw@debian.org>:
Bug#327623; Package nsmon. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@djpig.de>:
Extra info received and forwarded to list. Copy sent to Tibor Koleszar <oldw@debian.org>. Full text and rfc822 format available.

Message #10 received at 327623@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@djpig.de>
To: 327603@bugs.debian.org, 327623@bugs.debian.org, 327624@bugs.debian.org, 327627@bugs.debian.org, 327628@bugs.debian.org, 327665@bugs.debian.org, 327667@bugs.debian.org, 327671@bugs.debian.org, 327672@bugs.debian.org
Subject: Orphaning old RC buggy packages
Date: Mon, 3 Oct 2005 16:56:13 +0200
[Message part 1 (text/plain, inline)]
reassign #327603 wnpp
retitle #327603 O: asmem -- memory utilization monitor with AfterStep look & feel
severity 327603 normal

reassign #327623 wnpp
severity #327623 normal
retitle #327623 O: nsmon -- intranet/internet server checker

reassign #327624 wnpp
severity #327624 normal
retitle #327624 O: xmcpustate -- Displays CPU/Swap/Memory/Network load

reassign #327627 wnpp
severity #327627 normal
retitle #327627 O: gtkpool -- simple pool billiard game written with GTK+

reassign #327628 wnpp
severity #327628 normal
retitle #327628 O: xwit -- a collection of simple routines to call some X11 functions

reassign #327665 wnpp
severity #327665 normal
retitle #327665 O: elvis-tiny -- Tiny vi compatible editor for the base system

reassign #327667 wnpp
severity #327667 normal
retitle #327667 O: isic -- Test the integrity of an IP Stack with semi-random packets

reassign #327671 wnpp
severity #327671 normal
retitle #327671 O: gtkhx -- A GTK+ version of Hx, a UNIX Hotline Client

reassign #327672 wnpp
severity #327672 normal
retitle #327672 O: xlander -- a lunar landing simulation for X

thanks

Hi all.

All bugs above were filed three weeks ago with the proposal to orphan
the
packages because they are very old and RC buggy.

Since there was no response to these bugs I reassign them to wnpp now.
If someone disagrees with this removal, please simply close the bug
with an upload that also fixes the RC bugs. If you are not able to do so
but still don't want the package to be orphaned, please reply to this
mail
and describe your problem.

Gruesse,
-- 
Frank Lichtenheld <frank@lichtenheld.de>
www: http://www.djpig.de/
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `nsmon' to `wnpp'. Request was from Frank Lichtenheld <djpig@djpig.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Frank Lichtenheld <djpig@djpig.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frank Lichtenheld <djpig@djpig.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#327623; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #21 received at 327623@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 327623@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org
Subject: RM: nsmon -- RoQA; orphaned, no upstream, better alternatives
Date: Mon, 31 Jul 2006 01:03:11 +0200
retitle 327623 RM: nsmon -- RoQA; orphaned, no upstream, better alternatives
reassign 327623 ftp.debian.org
thanks

I think we should remove nsmon.

  * Orphaned for 10 months.
  * Previous maintainer was also upstream; last non-QA upload in 2002.
  * More elaborate alternatives: nagios, mon, monit, spong...
  * popcon: 13 installs, 10 votes.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 327623-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 327623-close@bugs.debian.org
Cc: nsmon@packages.debian.org, nsmon@packages.qa.debian.org
Subject: Bug#327623: fixed
Date: Sun, 13 Aug 2006 08:05:07 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     nsmon |     2.3e-5 | source, alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 327623@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 19:23:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:37:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.